CREATE TABLE Vector3 (id INTEGER PRIMARY KEY AUTOINCREMENT, x REAL, y REAL, z REAL);

CREATE TABLE Login (id INTEGER PRIMARY KEY AUTOINCREMENT, Email TEXT, Password TEXT);

CREATE TABLE User (id INTEGER PRIMARY KEY AUTOINCREMENT, Name TEXT, login_id INTEGER, position_id INTEGER
, FOREIGN KEY(login_id) REFERENCES Login(id)
, FOREIGN KEY(position_id) REFERENCES Vector3(id));

CREATE TABLE LoginRequest (id INTEGER PRIMARY KEY AUTOINCREMENT, login_id INTEGER
, FOREIGN KEY(login_id) REFERENCES Login(id));

CREATE TABLE LoginResponse (id INTEGER PRIMARY KEY AUTOINCREMENT, success INTEGER);

