typedef struct Vector3 {
    float x; // x coordinate
    float y; // y coordinate
    float z; // z coordinate
} Vector3;

typedef struct Login {
    char Email[256]; // Email of the user
    char Password[320]; // Password of the user
} Login;

typedef struct User {
    char Name[24]; // Name of the user
		Login Login; // user login info
		Vector3 Position; // last logout position of user
} User;

typedef struct LoginRequest {
		Login Login; // user login info
} LoginRequest;

typedef struct LoginResponse {
    char success; // login was successful or not
} LoginResponse;

